Bug 111879 - symlink broken in /boot
symlink broken in /boot
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-11 01:56 EST by Behdad Esfahbod
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 23:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2003-12-11 01:56:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
I have a broken symlink in /boot:
vmlinux-2.6.0-0.test11.1.9 ->

I have no /usr/lib/debug/lib at all.

On a side note, kernel-source may provide a symlink as
/usr/src/linux-2.6, unless it has been decided otherwise.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Arjan van de Ven 2003-12-11 02:37:02 EST
the vmlinux is in the kernel-debuginfo package since 99.99% of the
people have no use for it (it's only when you want to run gdb on the
kernel) so it's not a good idea to make it use space (and bandwidth!)
for everyone.

As for /usr/src/linux-2.6 symlink not being there; that is deliberate.
If you want to compile your own kernel you actually care about the
exact version instead of depending on this symlink and kernel-source
is only usable for that (eg it no longer is or can be used for
building external modules against)
Comment 2 Behdad Esfahbod 2003-12-11 04:51:51 EST
Thanks a lot.  I see now.  So, I still like the stale symlink to be
removed and the second one to be added *personally*, but feel free to
close the bug :).
Comment 3 Arjan van de Ven 2003-12-11 04:54:25 EST
I'll think about the vmlinux symlink (eg maybe it should just move to
the debuginfo package itself)

the /usr/src/linux-2.6 link is not going to happen, in our 2.4 rpms it
was a legacy thing for 2.2 compat; I don't want to carry it forward.
Comment 4 Behdad Esfahbod 2004-01-18 04:03:43 EST

Would you move the /boot/vmlinux symlink to debuginfo package?  Please
let me know to close bug after you made your decision.
Comment 5 Arjan van de Ven 2004-01-19 04:46:27 EST
symlink is removed at least in my packages

Note You need to log in before you can comment on or make changes to this bug.